Eye Candy not working in x6...

Hi all.  I'm assuming eye candy is not working in x6 because x6 is now true 64 bit. 

Can someone share a link for how to install the 64bit eye candy so it works in Corel PP x6?

Thanks.

Kirk

Win 7, 64 bit, 16G Ram

  • Yes, it's a known issue where 64 bit apps can't use 32bit plugins, you need the 64bit version of the plugin for it to work

    Either contact the Plugin Developer for advice on how to acquire the 64bit version or download and install the 32bit version of CGSX6.



    [edited by: Adrian Juman at 12:58 (GMT -5) on Tue, Mar 20 2012]
  • In reply to Adrian Juman:

    The plug in developer does not support coreldraw (never has).  They do have a 64 bit version though.

    I do not want to use the 32 bit version of CGSx6 and lose all of the 64 benefits.

     

  • In reply to Adrian Juman:

    Hi.

    Yep. I went through this years ago with Adobe products. Eye Candy to be the 64 bit version or you could install the 32 bit version of Draw.

    ~John

     

  • The PS Plugins we currently support in X6 (both 32-bit and 64-bit) are based on an older SDK of the PhotoShop plugins. What I can tell you know is that our goal is to support the latest SDK of the PS Plugins with the first update for X6 that we will release later this year (e.g. EyeCandy 64-bit should work on PHOTO-PAINT X6 64-bit). I believe this is a plug-in we already have on our list to test for that update.

    Gérard

  • In reply to Kirk Bedtelyon:

    Kirk,
     
    If you have the 64-bit version of Eye Candy 6, it will work with PHOTO-PAINT X6-64. The problem is that Alien Skin did not include a DLL in their installer. They don’t really care since Adobe does provide this DLL with the 64-bit version of Photoshop and Alien Skin claims PHOTO-PAINT isn’t supported.
     
    The missing DLL is LIBMMD.DLL and can be found in the Photoshop 64-bit folder. We had to move it to the Program64 folder under the CorelDRAW x6 installation. Maybe it also needs to be in folder where Eye Candy is installed.
     
    We will be writing more detailed instructions as soon as we find a way for users to download this DLL legally. We are also hopeful that Corel and Alien Skin can work together to provide a solution.
     
     
     
  • In reply to FosterCoburn:

    My thanks to Foster Coburn.   I copied and pasted the LIBMMD.DLL file to the Program64 folder and also the Eye Candy folder (where the other eye candy .dll files are found).

    My Eye Candy is back up and running and MUCH faster than the 32 bit version.  Also, with the 32 bit version I had to limit my bitmap size to about 30MB when working with the bevel effect or else complete the bevel in "pieces".  No problems using the effect with much larger bitmaps (nice!).

  • In reply to Kirk Bedtelyon:

    Hello guys.  Sorry for not being as computer literate as I need to be but could someone be a little more specific on where to find & paste the LIBMMD.DLL file so it will run Eye Candy 6 in CorelDraw X6?   Or point me to the link if Foster has already posted the update mentioned earlier in this thread.  Thanks for your help.

  • Hi Guys,

    Is it okay to download/install a trial version of Photoshop, then copy the LIBMMD.DLL to Eye Candy, Corel, etc.?

    Bryan

  • I just installed the trial version of Photoshop 64-bit and copied the libmmd.dll over to my C:\Program Files\Corel\CorelDRAW Graphics Suite X6\Programs64 and C:\Program Files\Corel\Plugins\Alien Skin\Eye Candy 6 folders.  Eye Candy 6 came up fine in CorelDraw X6 PhotoPaint.

    I looked at the details of libmmd.dll.  It's NOT an Adobe-created dll.  It's an Intel C++ math library.  So, I don't see how a licensing issue could develop.  It's not owned by Adobe.  It's owned by Intel and used to create Adobe products as well as other products.  I have Nero v10 CD burning software, and this dll is present in that software.  I also have TMPGEnc Video Mastering Works 5, which also has a version of this dll.

    The version of libmmd.dll in Adobe Photoshop is 10.0.10.2.

    Bryan

     

     

  • In reply to bmcfarl:

    Bryan,
     
    The issue is that whatever development tool Adobe users that includes that file is NOT a tool that Corel users. Thus Corel can not legally distribute the file.
     
    The BEST solution would be for Alien Skin to FIX THE INSTALLER to include the file. Alien Skin is definitely aware of the problem.
     
     
  • In reply to FosterCoburn:

    Hi Foster,

    I totally agree.  AlienSkin needs to fix this.  On the SDK issue, several toolkits are free to use by the public to develop in C++, VB, etc..  Java SDK, .NET Framework, etc.  That anyone can use freely.

    Here's what I got from AlienSkin today...

    Hi,

    I am sorry that you are unable to install Eye Candy 6 into Corel PhotoPaint x6. Having to make the decision to drop Corel support was not something we took lightly. It was a difficult decision for us. The truth of the matter is we are a small software company and Corel kept changing things in their programs that required full rewrites of our software in order to be compatible. This is something that was just not possible for us to do. The fact that this has left you stranded bothers me, but there isn't much I can do.

    I have run several tests up to this point. I installed both 32 and 64bit versions of Corel PhotoPaint x6. As you have found, in the 64bit version, everything but Eye Candy 6 shows up. However in the 32bit version, everything shows up even Eye Candy 6. How much memory(RAM) does your computer have in it?

    Best regards,
    Robert Lounsberry

    Bryan

  • In reply to bmcfarl:

    Bryan,
     
    Sorry to say but that Alien Skin tech gave a very bad answer. I’ve begged the powers that be at Corel to schedule a meeting with Alien Skin (and other third parties) so that such blatant misinformation can be eliminated.
     
     
  • In reply to FosterCoburn:

    They'll get something figured out.

    Bryan

    :-)